diff -Naur gcc-5.4.0.old/libsanitizer/sanitizer_common/sanitizer_linux.cc gcc-5.4.0/libsanitizer/sanitizer_common/sanitizer_linux.cc
--- gcc-5.4.0.old/libsanitizer/sanitizer_common/sanitizer_linux.cc	2019-09-27 01:11:32.538516761 -0400
+++ gcc-5.4.0/libsanitizer/sanitizer_common/sanitizer_linux.cc	2019-09-27 01:12:32.521852195 -0400
@@ -514,8 +514,8 @@
 }
 #endif
 
-uptr internal_sigaltstack(const struct sigaltstack *ss,
-                         struct sigaltstack *oss) {
+uptr internal_sigaltstack(const void*ss,
+                         void*oss) {
   return internal_syscall(SYSCALL(sigaltstack), (uptr)ss, (uptr)oss);
 }
 
diff -Naur gcc-5.4.0.old/libsanitizer/sanitizer_common/sanitizer_linux.h gcc-5.4.0/libsanitizer/sanitizer_common/sanitizer_linux.h
--- gcc-5.4.0.old/libsanitizer/sanitizer_common/sanitizer_linux.h	2019-09-27 01:11:32.538516761 -0400
+++ gcc-5.4.0/libsanitizer/sanitizer_common/sanitizer_linux.h	2019-09-27 01:12:52.361852888 -0400
@@ -18,7 +18,6 @@
 #include "sanitizer_platform_limits_posix.h"
 
 struct link_map;  // Opaque type returned by dlopen().
-struct sigaltstack;
 
 namespace __sanitizer {
 // Dirent structure for getdents(). Note that this structure is different from
@@ -27,8 +26,8 @@
 
 // Syscall wrappers.
 uptr internal_getdents(fd_t fd, struct linux_dirent *dirp, unsigned int count);
-uptr internal_sigaltstack(const struct sigaltstack* ss,
-                          struct sigaltstack* oss);
+uptr internal_sigaltstack(const void* ss,
+                          void* oss);
 uptr internal_sigprocmask(int how, __sanitizer_sigset_t *set,
     __sanitizer_sigset_t *oldset);
 void internal_sigfillset(__sanitizer_sigset_t *set);
diff -Naur gcc-5.4.0.old/libsanitizer/sanitizer_common/sanitizer_stoptheworld_linux_libcdep.cc gcc-5.4.0/libsanitizer/sanitizer_common/sanitizer_stoptheworld_linux_libcdep.cc
--- gcc-5.4.0.old/libsanitizer/sanitizer_common/sanitizer_stoptheworld_linux_libcdep.cc	2019-09-27 01:11:32.541850095 -0400
+++ gcc-5.4.0/libsanitizer/sanitizer_common/sanitizer_stoptheworld_linux_libcdep.cc	2019-09-27 01:13:08.225186775 -0400
@@ -234,7 +234,7 @@
 
   // Alternate stack for signal handling.
   InternalScopedBuffer<char> handler_stack_memory(kHandlerStackSize);
-  struct sigaltstack handler_stack;
+  stack_t handler_stack;
   internal_memset(&handler_stack, 0, sizeof(handler_stack));
   handler_stack.ss_sp = handler_stack_memory.data();
   handler_stack.ss_size = kHandlerStackSize;
